# Class PageNumberType

#### Hierarchy

- XmlComponent
  - PageNumberType

- Defined in file/document/body/section-properties/properties/page-number.ts:43

#####
Index

### Constructors

constructor

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new PageNumberType(__namedParameters): PageNumberType

- #### Parameters

  - ##### __namedParameters: IPageNumberTypeAttributes

  #### Returns PageNumberType

  Overrides XmlComponent.constructor

  - Defined in file/document/body/section-properties/properties/page-number.ts:44

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in file/xml-components/xml-component.ts:20

Generated using TypeDoc